package com.ejie.ab39a.model;

/**
 * Provincia.
 * 
 *  
 */

public class Provincia implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// Clave compuesta
	private String idProvincia;
	private String descOf;
	private String idAutonomia;

	/**
	 * Method 'Provincia'.
	 */
	public Provincia() {
		super();
	}

	/**
	 * Method 'Provincia'.
	 * 
	 * @param idProvincia
	 *            String idProvincia
	 * @param descOf
	 *            String descOf
	 * @param idAutonomia
	 *            String idAutonomia
	 */
	public Provincia(String idProvincia, String descOf, String idAutonomia) {
		super();

		this.idProvincia = idProvincia;
		this.descOf = descOf;
		this.idAutonomia = idAutonomia;
	}

	/**
	 * Method 'getIdProvincia'.
	 *
	 * @return String
	 */

	public String getIdProvincia() {
		return this.idProvincia;
	}

	/**
	 * Method 'setIdProvincia'.
	 *
	 * @param idProvincia
	 *            String
	 */

	public void setIdProvincia(String idProvincia) {
		this.idProvincia = idProvincia;
	}

	/**
	 * Method 'getDescOf'.
	 *
	 * @return String
	 */

	public String getDescOf() {
		return this.descOf;
	}

	/**
	 * Method 'setDescOf'.
	 *
	 * @param descOf
	 *            String
	 */

	public void setDescOf(String descOf) {
		this.descOf = descOf;
	}

	/**
	 * Method 'getIdAutonomia'.
	 *
	 * @return String
	 */

	public String getIdAutonomia() {
		return this.idAutonomia;
	}

	/**
	 * Method 'setIdAutonomia'.
	 *
	 * @param idAutonomia
	 *            String
	 */

	public void setIdAutonomia(String idAutonomia) {
		this.idAutonomia = idAutonomia;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		// Clave compuesta

		result.append("[ idProvincia: ").append(this.idProvincia).append(" ]");

		result.append(", [ descOf: ").append(this.descOf).append(" ]");

		result.append(", [ idAutonomia: ").append(this.idAutonomia).append(" ]");
		result.append("}");
		return result.toString();
	}

}
